"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault").default;
Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.RecordLockingUpdateEntryLock = void 0;
var _classCallCheck2 = _interopRequireDefault(require("@babel/runtime/helpers/classCallCheck"));
var _createClass2 = _interopRequireDefault(require("@babel/runtime/helpers/createClass"));
var _error = require("@webiny/error");
var _updateEntryLock = require("./graphql/updateEntryLock");
var RecordLockingUpdateEntryLock = exports.RecordLockingUpdateEntryLock = /*#__PURE__*/function () {
  function RecordLockingUpdateEntryLock(params) {
    (0, _classCallCheck2.default)(this, RecordLockingUpdateEntryLock);
    this.client = params.client;
  }
  return (0, _createClass2.default)(RecordLockingUpdateEntryLock, [{
    key: "execute",
    value: async function execute(params) {
      var result = await this.client.mutation({
        mutation: _updateEntryLock.UPDATE_ENTRY_LOCK,
        variables: params
      });
      if (!result.data?.recordLocking?.updateEntryLock) {
        throw new _error.WebinyError("No data returned from server.");
      }
      return result.data.recordLocking.updateEntryLock;
    }
  }]);
}();

//# sourceMappingURL=RecordLockingUpdateEntryLock.js.map