"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault").default;
Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.recordLockingPermissionRenderer = void 0;
var _react = _interopRequireDefault(require("react"));
var _Accordion = require("@webiny/ui/Accordion");
var _lock = require("../assets/lock.svg");
var _RecordLockingPermissions = require("./RecordLockingPermissions");
var recordLockingPermissionRenderer = exports.recordLockingPermissionRenderer = {
  type: "admin-app-permissions-renderer",
  name: "admin-app-permissions-renderer-record-locking",
  render: function render(props) {
    return /*#__PURE__*/_react.default.createElement(_Accordion.AccordionItem, {
      icon: /*#__PURE__*/_react.default.createElement(_lock.ReactComponent, null),
      title: "Record Locking",
      description: "Manage Record Locking Permissions.",
      "data-testid": "permission.recordLocking"
    }, /*#__PURE__*/_react.default.createElement(_RecordLockingPermissions.RecordLockingPermissions, props));
  }
};

//# sourceMappingURL=index.js.map